com.amazonaws.services.simpleworkflow.model

## Class WorkflowExecution

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.WorkflowExecution

All Implemented Interfaces:
  Serializable, Cloneable

    public class WorkflowExecution
    extends Object
    implements Serializable, Cloneable

Represents a workflow execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WorkflowExecution()`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkflowExecution` `clone()`
`boolean` `equals(Object obj)`
`String` `getRunId()` A system-generated unique identifier for the workflow execution.
`String` `getWorkflowId()` The user defined identifier associated with the workflow execution.
`int` `hashCode()`
`void` `setRunId(String runId)` A system-generated unique identifier for the workflow execution.
`void` `setWorkflowId(String workflowId)` The user defined identifier associated with the workflow execution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`WorkflowExecution` `withRunId(String runId)` A system-generated unique identifier for the workflow execution.
`WorkflowExecution` `withWorkflowId(String workflowId)` The user defined identifier associated with the workflow execution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WorkflowExecution

    public WorkflowExecution()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The user defined identifier associated with the workflow execution.

Parameters:
  `workflowId` - The user defined identifier associated with the workflow execution.

#### getWorkflowId

    public String getWorkflowId()

The user defined identifier associated with the workflow execution.

Returns:
  The user defined identifier associated with the workflow execution.

#### withWorkflowId

    public WorkflowExecution withWorkflowId(String workflowId)

The user defined identifier associated with the workflow execution.

Parameters:
  `workflowId` - The user defined identifier associated with the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

A system-generated unique identifier for the workflow execution.

Parameters:
  `runId` - A system-generated unique identifier for the workflow execution.

#### getRunId

    public String getRunId()

A system-generated unique identifier for the workflow execution.

Returns:
  A system-generated unique identifier for the workflow execution.

#### withRunId

    public WorkflowExecution withRunId(String runId)

A system-generated unique identifier for the workflow execution.

Parameters:
  `runId` - A system-generated unique identifier for the workflow execution.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public WorkflowExecution clone()

Overrides:
  `clone` in class `Object`